<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Traitement d'un nombre</title>
 </head>
 <body>
 <?php
 define("WEB_EOL","<br>");
 // --- on récupère les données ---
 $nb=$_POST['nb'];
 // --- on traite les données ---
 $i=intval($nb)   ;
 $x=floatval($nb) ;
 if ($i == $x)
 {
    echo "Nombre entier".WEB_EOL  ;
 }
 else
 {
    echo "Nombre r&eacute;el".WEB_EOL                ;
    echo "Partie enti&egrave;re  = ".$i.WEB_EOL      ;
    echo "Partie d&eacute;cimale = ".($x-$i).WEB_EOL ; 
 }
 ?>
 </body>
</html>